// Generated by the protocol buffer compiler.  DO NOT EDIT!
// source: commonmodule/commonmodule.proto

package openfmb.commonmodule;

public interface CMVOrBuilder extends
    // @@protoc_insertion_point(interface_extends:commonmodule.CMV)
    com.google.protobuf.MessageOrBuilder {

  /**
   * <pre>
   * Complex value based on a deadband calculation from the instantaneous value 'instCVal.mag'. The
   * deadband calculation is done both on 'instCVal.mag' (based on 'db') and on 'instCVal.ang' (based on
   * 'dbAng'), independently. See  'MV.mag'.
   * </pre>
   *
   * <code>.commonmodule.Vector cVal = 1 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
   * @return Whether the cVal field is set.
   */
  boolean hasCVal();
  /**
   * <pre>
   * Complex value based on a deadband calculation from the instantaneous value 'instCVal.mag'. The
   * deadband calculation is done both on 'instCVal.mag' (based on 'db') and on 'instCVal.ang' (based on
   * 'dbAng'), independently. See  'MV.mag'.
   * </pre>
   *
   * <code>.commonmodule.Vector cVal = 1 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
   * @return The cVal.
   */
  openfmb.commonmodule.Vector getCVal();
  /**
   * <pre>
   * Complex value based on a deadband calculation from the instantaneous value 'instCVal.mag'. The
   * deadband calculation is done both on 'instCVal.mag' (based on 'db') and on 'instCVal.ang' (based on
   * 'dbAng'), independently. See  'MV.mag'.
   * </pre>
   *
   * <code>.commonmodule.Vector cVal = 1 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
   */
  openfmb.commonmodule.VectorOrBuilder getCValOrBuilder();

  /**
   * <pre>
   * Quality of the values in 'instCVal', 'cVal', 'range', ‘rangeAng’.
   * </pre>
   *
   * <code>.commonmodule.Quality q = 2;</code>
   * @return Whether the q field is set.
   */
  boolean hasQ();
  /**
   * <pre>
   * Quality of the values in 'instCVal', 'cVal', 'range', ‘rangeAng’.
   * </pre>
   *
   * <code>.commonmodule.Quality q = 2;</code>
   * @return The q.
   */
  openfmb.commonmodule.Quality getQ();
  /**
   * <pre>
   * Quality of the values in 'instCVal', 'cVal', 'range', ‘rangeAng’.
   * </pre>
   *
   * <code>.commonmodule.Quality q = 2;</code>
   */
  openfmb.commonmodule.QualityOrBuilder getQOrBuilder();

  /**
   * <pre>
   * Timestamp of the last refresh of the value in 'cVal' or of the last change of the value in any
   * of 'range', 'rangeAng' or 'q'.
   * </pre>
   *
   * <code>.commonmodule.Timestamp t = 3;</code>
   * @return Whether the t field is set.
   */
  boolean hasT();
  /**
   * <pre>
   * Timestamp of the last refresh of the value in 'cVal' or of the last change of the value in any
   * of 'range', 'rangeAng' or 'q'.
   * </pre>
   *
   * <code>.commonmodule.Timestamp t = 3;</code>
   * @return The t.
   */
  openfmb.commonmodule.Timestamp getT();
  /**
   * <pre>
   * Timestamp of the last refresh of the value in 'cVal' or of the last change of the value in any
   * of 'range', 'rangeAng' or 'q'.
   * </pre>
   *
   * <code>.commonmodule.Timestamp t = 3;</code>
   */
  openfmb.commonmodule.TimestampOrBuilder getTOrBuilder();
}
